package com.hw.service.impl;

import com.hw.dao.UserLoginDao;
import com.hw.dao.impl.UserLoginDaoImpl;
import com.hw.exception.UserNotFoundException;
import com.hw.pojo.Users;
import com.hw.service.UserLoginService;

//用户登入业务
public class UserLoginServiceImpl implements UserLoginService {
    //用户登入
    @Override
    public Users userlongin(String username, String userpwd) {
        UserLoginDao userLoginDao = new UserLoginDaoImpl();
        Users users = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        if (users == null){
            throw new UserNotFoundException("用户名或密码有误!");
        }
        return users;
    }
}
