package com.hw.web.listener;

import com.hw.commons.Constants;
import com.hw.pojo.Users;

import javax.servlet.ServletContext;
import javax.servlet.annotation.WebListener;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

@WebListener
public class HttpSessionLifecycleListener implements HttpSessionListener {
    @Override
    public void sessionCreated(HttpSessionEvent se) {

    }

    @Override
    public void sessionDestroyed(HttpSessionEvent se) {
        //获取 ServletContext 对象，然后将所对应的 HttpSession 删除掉
        //1.获取sessiom
        HttpSession session=se.getSession();
        ServletContext servletContext = session.getServletContext();
        //取users
        Users users=(Users) session.getAttribute(Constants.USER_SESSION_KEY);
        session.removeAttribute(users.getUserid()+"");
    }
}
